@import "variables.scss";

.group-dropdown {
  width: 100%;
  height: 100%;
  .cover-input {
    width: 100%;
    height: 100%;
    position: relative;
    input {
      width: 100%;
      height: 100%;
      border-radius: 6px;
      padding-right: 40px;
      padding-left: 10px;
      font-size: 14px;
      font-weight: bold;
      color: $gray-darker;
      border: none;
      outline: none;
      background: transparent;
      &::-webkit-input-placeholder { 
        font-weight: normal;
      }
      &::-moz-placeholder {
        font-weight: normal;
      }
      &:-ms-input-placeholder { 
        font-weight: normal;
      }
      &:hover {
        border: 2px solid $default-text-color;
        padding-right: 38px;
        padding-left: 8px;
      }
      &:focus {
        border: 2px solid $primary-color;
        padding-right: 38px;
        padding-left: 8px;
      }
    }
    .click-row {
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: 35px;
      height: 35px;
      position: absolute;
      top: 0;
      right: 0;
      .arrow-icon {
        content: '';
        display: block;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 5px 5px 0 5px;
        border-color: $default-border-color transparent transparent transparent;
      }
    }
  }
  // box list
  .box-list {
    display: none;
    width: 100%;
    max-height: 201px;
    border-radius: 0 0 5px 5px;
    overflow-y: auto;
    box-shadow: 0px 0px 5px 0 rgba(0, 0, 0, 0.1);
    position: absolute;
    top: 36px;
    left: 0;
    z-index: 100;
    .list-search {
      display: block;
      width: 100%;
      padding: 0;
      margin: 0;
      border-radius: 0 0 5px 5px;
      background: $white-text-color;
      li {
        display: flex;
        align-items: center;
        width: 100%;
        height: 45px;
        a {
          display: flex;
          align-items: center;
          width: 100%;
          height: 100%;
          padding-left: 24px;
          font-size: 13px;
          color: $gray-darker;
          ::ng-deep.highlight {
            font-weight: bold;
          }
        }
        &.item-no-options {
          a {
            cursor: default;
            pointer-events: none;
            opacity: 0.5;
          }
          &:hover,
          &.active {
            background: transparent;
          }
        }
        &:hover,
        &.active {
          background: #F2F8FD;
        }
      }
    }
  }
  &.show-dropdown {
    .box-list {
      display: block;
    }
  }
}